%define upstream_name       Sane
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Perl extension for the SANE (Scanner Access Now Easy) Project
Source0:     http://search.cpan.org/CPAN/authors/id/R/RA/RATCLIFFE/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{upstream_name}

BuildRequires: perl(ExtUtils::Depends)
bUildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl-devel
BuildRequires: sane-devel
%description
Perl bindings for the SANE (Scanner Access Now Easy) Project. This module
allows you to access SANE-compatible scanners in a Perlish and object-oriented
way, freeing you from the casting and memory management in C, yet remaining
very close in spirit to original API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Fri Feb 24 2012 jquelin <jquelin> 0.40.0-1.mga2
+ Revision: 213843
- adding missing buildrequires:
- adding missing buildrequires:
- update to 0.04

* Sun Jun 12 2011 sander85 <sander85> 0.30.0-2.mga2
+ Revision: 104942
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 31120
- mageia rebuild
- imported package perl-Sane


* Wed Jun 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.30.0-1mdv2010.0
+ Revision: 384784
- new version

* Mon Mar 30 2009 Michael Scherer <misc@mandriva.org> 0.02-1mdv2009.1
+ Revision: 362223
- fix BuildRequires
- fix missing BuildRequires
- import perl-Sane


* Mon Mar 30 2009 cpan2dist 0.02-1mdv
- initial mdv release, generated with cpan2dist

